This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 853485 - [abrt] smolt-1.4.3-6.fc17: smolt.py:762:send:UnboundLocalError: local variable 'prefered_protocol' referenced before assignment
[abrt] smolt-1.4.3-6.fc17: smolt.py:762:send:UnboundLocalError: local variabl...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: smolt (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
abrt_hash:bd20154a1fb39d1929a8a5fe600...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-31 13:20 EDT by tsaga.chania
Modified: 2013-08-01 09:16 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 09:16:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description tsaga.chania 2012-08-31 13:20:30 EDT
Version-Release number of selected component:
smolt-1.4.3-6.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.10
cmdline:        /usr/bin/python /usr/bin/smoltSendProfile -r -a
kernel:         3.3.4-5.fc17.x86_64

backtrace:
:smolt.py:762:send:UnboundLocalError: local variable 'prefered_protocol' referenced before assignment
:
:Traceback (most recent call last):
:  File "/usr/bin/smoltSendProfile", line 271, in <module>
:    batch=opts.checkin)
:  File "/usr/share/smolt/client/smolt.py", line 762, in send
:    send_host_obj = self.get_submission_data(prefered_protocol)
:UnboundLocalError: local variable 'prefered_protocol' referenced before assignment
:
:Local variables in innermost frame:
:e: JSONDecodeError('No JSON object could be decoded: line 1 column 0 (char 0)',)
:smoonURL: 'http://www.smolts.org/'
:self: <smolt._Hardware instance at 0x4d03710>
:serialize: <function serialize at 0x4d01de8>
:grabber: <urlgrabber.grabber.URLGrabber object at 0x20b7110>
:batch: False
:tok_str: '<HTML><HEAD><TITLE> Web Authentication Redirect</TITLE><META http-equiv="Cache-control" content="no-cache"><META http-equiv="Pragma" content="no-cache"><META http-equiv="Expires" content="-1"><META http-equiv="refresh" content="1; URL=https://ubwireless.cit.buffalo.edu/login.html?redirect=www.smolts.org/tokens/token_json?uuid=41bc009c-d307-4d48-95eb-cfa070d177b2"></HEAD></HTML>\r\n'
:token: <urlgrabber.grabber.PyCurlFileObject object at 0x20b7190>
:user_agent: 'smolt/0.97'
:timeout: 120.0
:proxies: None
Comment 1 Ammar M.Soleimani 2012-09-13 09:17:13 EDT
when i went to gnome fallback by root user the system showed me this error 

Package: smolt-1.4.3-6.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 2 harleybristowabc 2012-10-04 08:35:38 EDT
Booted into XFCE after installing Uplink by Introversion.

Package: smolt-1.4.3-6.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 3 Fedora End Of Life 2013-07-04 00:21:45 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-08-01 09:16:29 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.